Package: org.codehaus.groovy.ant

## [Java] Class FileScanner

- org.codehaus.groovy.ant.FileScanner

-     public class FileScanner
      extends Task

  `FileScanner` is a bean which allows the iteration over a number of files from a collection of FileSet instances.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FileScanner()`
    `FileScanner(Project project)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addFileset(FileSet set)` Adds a set of files (nested fileset attribute).
    `` | `public void` | `clear()` Clears any file sets that have been added to this scanner
    `` | `public Iterator<File>` | `directories()`
    `` | `public boolean` | `hasFiles()`
    `` | `public Iterator<File>` | `iterator()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Task` | `bindToOwner, clone, equals, execute, getClass, getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, getTaskType, hashCode, init, log, log, log, log, maybeConfigure, notify, notifyAll, perform, reconfigure, setDescription, setLocation, setOwningTarget, setProject, setRuntimeConfigurableWrapper, setTaskName, setTaskType, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public FileScanner()

    - #### public FileScanner(Project project)

  - ### Method Detail

    - #### public void addFileset(FileSet set)

      Adds a set of files (nested fileset attribute).

    - #### public void clear()

      Clears any file sets that have been added to this scanner

    - #### public Iterator<File> directories()

    - #### public boolean hasFiles()

    - #### public Iterator<File> iterator()